## flip 1.0

=== DESCRIPTION ===
Package: flip
Type: Package
Title: A library for permutation tests
Version: 1.0
Date: 2011-09-17
Author: Livio Finos
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, foreach, e1071,someMTP
Description: Permutation Tests
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2011-10-12 11:17:23 UTC; livio
Repository: CRAN
Date/Publication: 2011-10-12 12:15:42

## flip 1.1

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 1.1
Date: 2011-11-17
Author: Livio Finos
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, foreach, e1071,someMTP
Description: It implements univariate and multivariate permutation test, also allowing multiplicity control.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2011-11-18 15:46:23 UTC; livio
Repository: CRAN
Date/Publication: 2011-11-19 09:56:38

## flip 1.2

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 1.2
Date: 2011-11-17
Author: Livio Finos
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, foreach, e1071, someMTP, cherry
Description: It implements univariate and multivariate permutation
        test, also allowing for multiplicity control.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2012-02-11 15:51:59 UTC; livio
Repository: CRAN
Date/Publication: 2012-02-11 18:32:46

## flip 1.3

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 1.3
Date: 2012-11-01
Author: Livio Finos, with contributions by Matteo Favero
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, foreach, e1071, someMTP, cherry
Description: It implements many univariate and multivariate permutation
        (and rotation) tests. Allowed tests: the t one and two samples,
        ANOVA, linear models, Chi Squared test, rank tests (i.e.
        Wilcoxon, Mann-Whitney, Kruskal-Wallis), Sign test and McNemar.
        Test on Linear Models are performed also in presence of
        covariates (i.e. nuisance parameters). The permutation and the
        rotation methods to get the null distribution of the test
        statistic(s) are available. It also implements methods for
        multiplicity control such as Westfall-Young min-p procedure and
        Closed Testing (Marcus, 1976).
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2013-02-23 00:03:52 UTC; livio
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-02-23 17:14:52

## flip 1.18

=== Makefile ===
# Makefile for flip for **IX.  ::[[ @(#) makefile.nix 1.4 89/07/04 12:00:02 ]]::

# The contents of this makefile are hereby released to the public domain.
#                               -- Rahul Dhesi 1989/06/19

# Before use make sure this file is called "makefile".  (Rename it if
# necessary.)  Then invoke as follows:

#   "make sys_v"        makes executable flip for System V Release 2
#   "make bsd"          makes executable flip for 4.3BSD
#   "make install"      moves flip into BINDIR, copies flip.1 into MANDIR
#   "make clean"        deletes object and executable files

# Where to install executable and manual files on "make install".  The trailing
# "/." forces an error message if the destination directory doesn't exist.
BINDIR = /usr/local/bin/.
MANDIR = /usr/man/man1/.

# CC is compiler, LD is loader (may be same as compiler), CFLAGS are flags
# for compiler, LDFLAGS are flags for loader, CFMORE are additional
# (relatively unchanging) flags for compiler

CC = cc
CFLAGS =
CFMORE = -c -DNDEBUG -O
LD = cc
LDFLAGS = -o flip

# If your system does not supply getopt as a library function,
# add getopt.o to the RHS list on the next line and uncomment the
# two nonblank lines after that.
OBJS = flip.o

#getopt.o: getopt.c flip.h
#	$(CC) $(CFLAGS) $(CFMORE) $*.c

nothing:
	@echo \
	'Please type "make sys_v", "make bsd", "make uport", or "make ultrix"'

sys_v:
	make "CFLAGS=-DSYS_V" flip

uport:
	make "CFLAGS=-DSYS_V -Ml" "LDFLAGS=-Ml -o flip" flip

bsd:
	make "CFLAGS=-DBSD" flip

ultrix:
	make "CFLAGS=-DBSD -DULTRIX_BUG" flip

flip: $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS)

flip.o: flip.c flip.h
	$(CC) $(CFLAGS) $(CFMORE) $*.c

clean:
	rm -f *.o core flip

install:
	mv flip $(BINDIR)
	cp flip.1 $(MANDIR)

## flip 1.19-2

=== tst/Makefile ===
# Makefile for flip for **IX.  ::[[ @(#) makefile.nix 1.4 89/07/04 12:00:02 ]]::

# The contents of this makefile are hereby released to the public domain.
#                               -- Rahul Dhesi 1989/06/19

PACKAGE = flip
VERSION = 1.19
distdir = $(PACKAGE)-$(VERSION)
srcdir = .
TAR = tar
GZIP_ENV = --best
DISTFILES=CHECKSUM.S FILES FLIP.MAN FLIP.PRJ INSTALL.DOC MAKEFILE.TCC	\
 MESSAGE Makefile TURBOC.C TURBOC.CFG flip.1 flip.c flip.h getopt.c ChangeLog

# Before use make sure this file is called "makefile".  (Rename it if
# necessary.)  Then invoke as follows:

#   "make sys_v"        makes executable flip for System V Release 2
#   "make bsd"          makes executable flip for 4.3BSD
#   "make install"      moves flip into BINDIR, copies flip.1 into MANDIR
#   "make clean"        deletes object and executable files

# Where to install executable and manual files on "make install".  The trailing
# "/." forces an error message if the destination directory doesn't exist.
BINDIR = /usr/local/bin/.
MANDIR = /usr/man/man1/.

# CC is compiler, LD is loader (may be same as compiler), CFLAGS are flags
# for compiler, LDFLAGS are flags for loader, CFMORE are additional
# (relatively unchanging) flags for compiler

CC = cc
CFLAGS =
CFMORE = -c -DNDEBUG -O -DVERSION=\"$(VERSION)\"
LD = cc
LDFLAGS = -o flip

# If your system does not supply getopt as a library function,
# add getopt.o to the RHS list on the next line and uncomment the
# two nonblank lines after that.
OBJS = flip.o

#getopt.o: getopt.c flip.h
#	$(CC) $(CFLAGS) $(CFMORE) $*.c

nothing:
	@echo \
	'Please type "make sys_v", "make bsd", "make uport", or "make ultrix"'

sys_v:
	make "CFLAGS=-DSYS_V" flip

uport:
	make "CFLAGS=-DSYS_V -Ml" "LDFLAGS=-Ml -o flip" flip

bsd:
	make "CFLAGS=-DBSD" flip

ultrix:
	make "CFLAGS=-DBSD -DULTRIX_BUG" flip

flip: $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS)

flip.o: flip.c flip.h
	$(CC) $(CFLAGS) $(CFMORE) $*.c

clean:
	rm -f *.o core flip

install:
	mv flip $(BINDIR)
	cp flip.1 $(MANDIR)

dist: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) -chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)

=== debian/changelog ===
flip (1.19-2) unstable; urgency=low

  * debian/control: spelling fixes (Closes:Bug#124619)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 21 Dec 2001 19:57:55 -0500

flip (1.19-1) unstable; urgency=low

  * new upstream version: preserve file permissions, accept input from
    stdin (thanks to "Dwayne C. Litzenberger" <dlitz@dlitz.net>)
    (Closes:Bug#102391) 
  * new maintainer email

 -- James R. Van Zandt <jrv@debian.org>  Sun, 15 Jul 2001 11:26:21 -0400

flip (1.18-9) unstable; urgency=low

  * debian/copyright: remove reference to old copyright directory

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Thu, 17 May 2001 22:04:44 -0400

flip (1.18-8) unstable; urgency=low

  * debian/control: move build-depends line to source section. Update
    policy to 3.5.2. 
  * debian/rules: honor DEB_BUILD_OPTIONS

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Fri, 27 Apr 2001 21:25:16 -0400

flip (1.18-7) unstable; urgency=low

  * install test with "install" instead of non-existant "dh_installtests"
    (Closes:Bug#74379)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon,  9 Oct 2000 22:50:00 -0400

flip (1.18-6) unstable; urgency=low

  * build-depends on debhelper and debmake
  * package description: flip only handles lineendings, not character
    codes (Closes:Bug#72907) 

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun,  3 Sep 2000 11:54:01 -0400

flip (1.18-5) unstable frozen; urgency=low

  * Really add the /usr/doc/flip symlink.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 23 Oct 1999 22:04:49 -0400

flip (1.18-4) unstable frozen; urgency=low

  * Add /usr/doc/flip symlink.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue, 14 Sep 1999 21:42:25 -0400

flip (1.18-3) unstable frozen; urgency=low

  * link against glibc 2.1.2.
  * Update to FHS.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Thu,  2 Sep 1999 19:27:42 -0400

flip (1.18-2) unstable frozen; urgency=high

  * Build with "make bsd", so rename() is used and executing on a VFAT
    fs does not delete the file (Bug#30691).

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 26 Dec 1998 12:48:44 -0500

flip (1.18-1) unstable; urgency=low

  * Initial Release.

  * Manual page source reconstructed from supplied formatted page.

 -- Jim Van Zandt <jrv@vanzandt.mv.com>  Thur, 17 Apr 1998 8:00:00 -0500

=== debian/control ===
Source: flip
Section: text
Priority: extra
Maintainer: James R. Van Zandt <jrv@debian.org>
Build-Depends: debhelper, debmake
Standards-Version: 3.5.2

Package: flip
Architecture: any
Depends: ${shlibs:Depends}
Description: convert text file line endings between Unix and DOS formats
 This program converts line endings of text files between MS-DOS and
 **IX formats.  It detects binary files in a nearly foolproof way and
 leaves them alone unless you override this.  It will also leave files
 alone that are already in the right format and preserves file
 timestamps.  User interrupts are handled gracefully and no garbage or
 corrupted files left behind.  'flip' does not convert files to a
 different character set, and it can not handle Apple Macintosh
 line endings (CR only). For that (and more), you can use the 'recode'
 program (package 'recode').

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=flip

# build without debugging symbols and strip executables when installing,
# unless DEB_BUILD_OPTIONS specifies otherwise
CFLAGS = -O2 -Wall
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

# the source package has a .o file for a different architecture
build:
	$(checkdir)
	-rm -f core `find . -name flip.o -mtime +20`
	make bsd

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -rf debian/tmp debian/files* core `find . -name "*~"`

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	for x in bin sbin man/man1; do ${INSTALL_DIR} debian/tmp/usr/$$x; done
	make bsd
	${INSTALL_PROGRAM} flip `pwd`/debian/tmp/usr/bin
	${INSTALL_FILE} flip.1 `pwd`/debian/tmp/usr/man/man1
#	dh_installtests
	for d in `cat debian/dirs`; do install -d debian/tmp/$$d; done
	install debian/tests debian/tmp/usr/lib/debian-test/tests/flip

# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd MESSAGE
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## flip 1.20

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,24 @@
 # The contents of this makefile are hereby released to the public domain.
 #                               -- Rahul Dhesi 1989/06/19
 
+PACKAGE = flip
+VERSION = 1.20
+distdir = $(PACKAGE)-$(VERSION)
+srcdir = .
+TAR = tar
+GZIP_ENV = --best
+DISTFILES=FILES INSTALL.DOC MAKEFILE.TCC test-flip	\
+ MESSAGE Makefile TURBOC.C TURBOC.CFG flip.1 flip.c flip.h getopt.c ChangeLog
+
 # Before use make sure this file is called "makefile".  (Rename it if
 # necessary.)  Then invoke as follows:
 
+# To build on a modern Unix system with a standard C compiler:
+#   make "CFLAGS= -DBSD -DIX -DSTDINCLUDE" flip
+# Otherwise:
 #   "make sys_v"        makes executable flip for System V Release 2
 #   "make bsd"          makes executable flip for 4.3BSD
+
 #   "make install"      moves flip into BINDIR, copies flip.1 into MANDIR
 #   "make clean"        deletes object and executable files
 
@@ -22,7 +35,7 @@
 
 CC = cc
 CFLAGS =
-CFMORE = -c -DNDEBUG -O
+CFMORE = -c -DNDEBUG -O -DVERSION=\"$(VERSION)\"
 LD = cc
 LDFLAGS = -o flip
 
@@ -39,13 +52,13 @@
 	'Please type "make sys_v", "make bsd", "make uport", or "make ultrix"'
 
 sys_v:
-	make "CFLAGS=-DSYS_V" flip
+	make "CFLAGS=-DSYS_V -DIX" flip
 
 uport:
-	make "CFLAGS=-DSYS_V -Ml" "LDFLAGS=-Ml -o flip" flip
+	make "CFLAGS=-DSYS_V -Ml -DIX" "LDFLAGS=-Ml -o flip" flip
 
 bsd:
-	make "CFLAGS=-DBSD" flip
+	make "CFLAGS=-DBSD -DIX" flip
 
 ultrix:
 	make "CFLAGS=-DBSD -DULTRIX_BUG" flip
@@ -62,3 +75,24 @@
 install:
 	mv flip $(BINDIR)
 	cp flip.1 $(MANDIR)
+
+check:
+	bash test-flip
+
+dist: $(DISTFILES)
+	-rm -rf $(distdir)
+	mkdir $(distdir)
+	-chmod 777 $(distdir)
+	@for file in $(DISTFILES); do \
+	  d=$(srcdir); \
+	  if test -d $$d/$$file; then \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
+	    || cp -p $$d/$$file $(distdir)/$$file || :; \
+	  fi; \
+	done
+	-chmod -R a+r $(distdir)
+	GZIP=$(GZIP_ENV) $(TAR) -chozf $(distdir).tar.gz $(distdir)
+	-rm -rf $(distdir)

=== debian/changelog ===
flip (1.20-6) experimental; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to "4.7.2".
  * debian/copyright: Update packaging copyright information.

 -- Leandro Nogarotto <leandronogarotto@alunos.utfpr.edu.br>  Mon, 23 Jun 2025 00:54:48 -0300

flip (1.20-5) UNRELEASED; urgency=medium

  * Use correct machine-readable copyright file URI.
  * Fix day-of-week for changelog entry 1.18-1.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 23 Apr 2020 17:05:22 +0000

flip (1.20-4) unstable; urgency=medium

  * QA upload.
  * Rebuild for Debian Buster.
  * debian/control:
    + Orphan the package and set the maintainer to Debian
      QA Group.
    + Replace obsolete Priority: extra with Priority: optional.
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Use "Rules-Requires-Root: no".
    + Update Vcs-* fields to use git packaging repo under Salsa
      Debian Group.
  * debian/dirs: Removed, not used anymore.
  * debian/postinst: Remove the executable bit.
  * debian/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Feb 2019 18:34:11 -0500

flip (1.20-3) unstable; urgency=medium

  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 07:16:38 +0300

flip (1.20-2) unstable; urgency=low

  * New maintainer (Closes: #636410).
    - Move to packaging format "3.0 (quilt)".
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/changelog
    - Clean up extra newlines and white spaces.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): update to debhelper .
    - (Depends): Add ${misc:Depends}.
    - (Homepage): Update to Freshmeat.
    - (Standards-Version): Update to 3.9.4.
    - (Vcs-*): New.
  * debian/copyright
    - Update to format 1.
  * debian/install
    - New file.
  * debian/manpages
    - New file.
  * debian/patches
    - (10): New. Add support for hardened build flags.
    - (20): New. Manual page corrections.
    - (30): New. do not stat on stdio (Closes: #518311).
  * debian/postinst
    - Lintian fix maintainer-script-ignores-errors.
  * debian/rules
    - Update to dh(1).
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 02 Mar 2013 17:05:57 +0200

flip (1.20-1) unstable; urgency=low

  * New upstream release.  Preserve file permissions (closes:Bug#122435).
    New self-test script.
  * debian/rules: obey DEB_BUILD_OPTIONS flags noopt, nostrip, and
    parallel.  Don't ignore errors on "make clean".  Package test-flip as
    an example.
  * debian/control: bump policy level to 3.8.0
  * debian/dirs: don't package /usr/sbin

 -- James R. Van Zandt <jrv@debian.org>  Sat, 26 Jul 2008 11:14:25 -0400

flip (1.19-6) unstable; urgency=low

  * remove /usr/doc/flip symlink if it exists (thanks to Amaya
    <amaya@debian.org>, closes:Bug#359405)
  * debian/control: bump policy level to 3.7.2 (no changes needed)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 14 Jul 2006 21:28:22 -0400

flip (1.19-5) unstable; urgency=low

  * repackage using debhelper.  Don't install doc symlink (fixes:#359405)
  * install symlinks for toms and toix (fixes:#153324,#278391)

 -- James R. Van Zandt <jrv@debian.org>  Tue, 28 Mar 2006 21:29:46 -0500

flip (1.19-4) unstable; urgency=low

  * recompile with current libc
  * #include <string.h> to quiet some warnings.
  * policy 3.6.2
  * debian/rules: install symlinks "toix" and "toms" mentioned in help
    printout (closes:Bug#153324,Bug#278391) (2nd try)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 24 Sep 2005 18:49:51 -0400

flip (1.19-3) unstable; urgency=low

  * debian/rules: install symlinks "toix" and "toms" mentioned in help
    printout (closes:Bug#153324)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 20 Jul 2002 17:28:20 -0400

=== debian/control ===
Source: flip
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/flip.git
Vcs-Browser: https://salsa.debian.org/debian/flip

Package: flip
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: convert text file line endings between Unix and DOS formats
 The program converts line endings of text files between MS-DOS and
 *nix formats. It detects binary files in a nearly foolproof way and
 leaves them alone unless you override this. It will also leave files
 alone that are already in the right format and preserves file
 timestamps. User interrupts are handled gracefully and no garbage or
 corrupted files left behind.
 .
 The program does not convert files to a different character set, and
 it can not handle old Apple Macintosh line endings that use CR only.
 For that (and more), you can use the 'recode' program (package
 'recode').

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -DBSD -DIX -DSTDINCLUDE

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

override_dh_auto_install:
	# See debian/install

override_dh_installman:
	dh_installman
	cd debian/flip/usr/bin && { ln -s flip toix; ln -s flip toms; }
	cd debian/flip/usr/share/man/man1 && \
	{ ln -s flip.1 toix.1 ; ln -s flip.1 toms.1 ; }

%:
	dh $@

# End of file

=== debian/watch ===
version=4
# This project does not have a homepage (old 1989 sources)

## flip 2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: flip
 Type: Package
 Title: Multivariate Permutation Tests
-Version: 1.3
-Date: 2012-11-01
-Author: Livio Finos, with contributions by Matteo Favero
+Version: 2.0
+Date: 2013-03-08
+Author: Livio Finos
 Maintainer: Livio Finos <livio@stat.unipd.it>
-Depends: methods, foreach, e1071, someMTP, cherry
+Depends: R (>= 2.15.1), methods, foreach, e1071, someMTP, cherry
 Description: It implements many univariate and multivariate permutation
         (and rotation) tests. Allowed tests: the t one and two samples,
         ANOVA, linear models, Chi Squared test, rank tests (i.e.
@@ -18,7 +18,7 @@
         Closed Testing (Marcus, 1976).
 License: GPL (>= 2)
 LazyLoad: yes
-Packaged: 2013-02-23 00:03:52 UTC; livio
+Packaged: 2013-03-08 15:52:12 UTC; livio
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2013-02-23 17:14:52
+Date/Publication: 2013-03-08 17:36:30

## flip 2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: flip
 Type: Package
 Title: Multivariate Permutation Tests
-Version: 2.0
+Version: 2.1
 Date: 2013-03-08
 Author: Livio Finos
 Maintainer: Livio Finos <livio@stat.unipd.it>
-Depends: R (>= 2.15.1), methods, foreach, e1071, someMTP, cherry
+Depends: methods, foreach, e1071, someMTP, cherry
 Description: It implements many univariate and multivariate permutation
         (and rotation) tests. Allowed tests: the t one and two samples,
         ANOVA, linear models, Chi Squared test, rank tests (i.e.
@@ -18,7 +18,7 @@
         Closed Testing (Marcus, 1976).
 License: GPL (>= 2)
 LazyLoad: yes
-Packaged: 2013-03-08 15:52:12 UTC; livio
+Packaged: 2013-05-07 12:42:34 UTC; livio
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2013-03-08 17:36:30
+Date/Publication: 2013-05-07 15:51:06

## flip 2.2

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 2.2
Date: 2013-06-17
Author: Livio Finos, with contributions by Dario Basso, Aldo Solari and
        Jelle Goeman
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, foreach, e1071, someMTP, cherry
Description: It implements many univariate and multivariate permutation
        (and rotation) tests. Allowed tests: the t one and two samples,
        ANOVA, linear models, Chi Squared test, rank tests (i.e.
        Wilcoxon, Mann-Whitney, Kruskal-Wallis), Sign test and McNemar.
        Test on Linear Models are performed also in presence of
        covariates (i.e. nuisance parameters). The permutation and the
        rotation methods to get the null distribution of the test
        statistics are available. It also implements methods for
        multiplicity control such as Westfall-Young minP procedure and
        Closed Testing (Marcus, 1976). Moreover, it allows to test for
        fixed effects in mixed effects models.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2013-06-17 11:03:02 UTC; livio
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-06-17 17:21:11

## flip 2.3

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 2.3
Date: 2013-06-17
Author: Livio Finos, with contributions by Dario Basso, Aldo Solari and Jelle Goeman
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, e1071, someMTP, cherry
Description: It implements many univariate and multivariate permutation (and rotation) tests. Allowed tests: the t one and two samples, ANOVA, linear models, Chi Squared test, rank tests (i.e. Wilcoxon, Mann-Whitney, Kruskal-Wallis), Sign test and McNemar. Test on Linear Models are performed also in presence of covariates (i.e. nuisance parameters). The permutation and the rotation methods to get the null distribution of the test statistics are available. It also implements methods for multiplicity control such as Westfall-Young minP procedure and Closed Testing (Marcus, 1976). Moreover, it allows to test for fixed effects in mixed effects models.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2013-07-22 21:45:34 UTC; livio
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-07-23 02:11:19

## flip 2.4

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 2.4
Date: 2013-10-09
Author: Livio Finos, with contributions by Dario Basso, Aldo Solari and Jelle Goeman. Special thanks are due to Ivan Marin-Franch and Fredrik Nilsson for the debugging and the good questions.
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, e1071, someMTP, cherry
Description: It implements many univariate and multivariate permutation (and rotation) tests. Allowed tests: the t one and two samples, ANOVA, linear models, Chi Squared test, rank tests (i.e. Wilcoxon, Mann-Whitney, Kruskal-Wallis), Sign test and McNemar. Test on Linear Models are performed also in presence of covariates (i.e. nuisance parameters). The permutation and the rotation methods to get the null distribution of the test statistics are available. It also implements methods for multiplicity control such as Westfall-Young minP procedure and Closed Testing (Marcus, 1976). Moreover, it allows to test for fixed effects in mixed effects models.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2013-10-09 08:55:49 UTC; livio
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-10-09 11:45:41

## flip 2.4.1

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 2.4.1
Date: 2013-10-13
Author: Livio Finos, with contributions by Dario Basso, Aldo Solari, Jelle Goeman and Marco Rinaldo. Special thanks are due to Ivan Marin-Franch and Fredrik Nilsson for the debugging and the good questions.
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, e1071, someMTP, cherry
Imports: Rcpp,
LinkingTo: Rcpp, RcppArmadillo
Description: It implements many univariate and multivariate permutation (and rotation) tests. Allowed tests: the t one and two samples, ANOVA, linear models, Chi Squared test, rank tests (i.e. Wilcoxon, Mann-Whitney, Kruskal-Wallis), Sign test and McNemar. Test on Linear Models are performed also in presence of covariates (i.e. nuisance parameters). The permutation and the rotation methods to get the null distribution of the test statistics are available. It also implements methods for multiplicity control such as Westfall-Young minP procedure and Closed Testing (Marcus, 1976) and k-FWER. Moreover, it allows to test for fixed effects in mixed effects models.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2014-04-14 11:03:22 UTC; livio
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-04-14 19:04:45

## flip 2.4.2

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 2.4.2
Date: 2013-04-25
Author: Livio Finos, with contributions by Dario Basso, Aldo Solari, Jelle Goeman and Marco Rinaldo. Special thanks are due to Ivan Marin-Franch and Fredrik Nilsson for the debugging and the good questions.
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, e1071, someMTP, cherry
Imports: Rcpp,
LinkingTo: Rcpp, RcppArmadillo
Description: It implements many univariate and multivariate permutation (and rotation) tests. Allowed tests: the t one and two samples, ANOVA, linear models, Chi Squared test, rank tests (i.e. Wilcoxon, Mann-Whitney, Kruskal-Wallis), Sign test and McNemar. Test on Linear Models are performed also in presence of covariates (i.e. nuisance parameters). The permutation and the rotation methods to get the null distribution of the test statistics are available. It also implements methods for multiplicity control such as Westfall-Young minP procedure and Closed Testing (Marcus, 1976) and k-FWER. Moreover, it allows to test for fixed effects in mixed effects models.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2014-04-24 07:22:29 UTC; livio
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-04-24 09:46:22

## flip 2.4.3

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 2.4.3
Date: 2013-06-13
Author: Livio Finos, with contributions by Dario Basso, Aldo Solari, Jelle Goeman and Marco Rinaldo. Special thanks are due to Ivan Marin-Franch and Fredrik Nilsson for the debugging and the good questions.
Maintainer: Livio Finos <livio@stat.unipd.it>
Depends: methods, e1071, someMTP, cherry
Imports: Rcpp,
LinkingTo: Rcpp, RcppArmadillo
Description: It implements many univariate and multivariate permutation (and rotation) tests. Allowed tests: the t one and two samples, ANOVA, linear models, Chi Squared test, rank tests (i.e. Wilcoxon, Mann-Whitney, Kruskal-Wallis), Sign test and McNemar. Test on Linear Models are performed also in presence of covariates (i.e. nuisance parameters). The permutation and the rotation methods to get the null distribution of the test statistics are available. It also implements methods for multiplicity control such as Westfall-Young minP procedure and Closed Testing (Marcus, 1976) and k-FWER. Moreover, it allows to test for fixed effects in mixed effects models.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2014-06-12 08:10:49 UTC; livio
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-06-12 11:28:57

## flip 2.5.0

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 2.5.0
Date: 2018-08-25
Author: Livio Finos, with contributions by Florian Klinglmueller, Dario Basso,
    Aldo Solari, Lucia Benetazzo, Jelle Goeman and Marco Rinaldo.
Maintainer: Livio Finos <livio.finos@unipd.it>
Description: It implements many univariate and multivariate permutation (and
    rotation) tests. Allowed tests: the t one and two samples, ANOVA, linear
    models, Chi Squared test, rank tests (i.e. Wilcoxon, Mann-Whitney,
    Kruskal-Wallis), Sign test and Mc Nemar. Test on Linear Models are
    performed also in presence of covariates (i.e. nuisance parameters).
    The permutation and the rotation methods to get the null distribution of
    the test statistics are available. It also implements methods for
    multiplicity control such as Westfall & Young minP procedure and Closed
    Testing (Marcus, 1976) and k-FWER. Moreover, it allows to test for fixed
    effects in mixed effects models.
License: GPL (>= 2)
URL: ttps://CRAN.R-project.org/package=flip
LazyLoad: yes
LazyData: true
Packaged: 2018-08-25 15:52:35 UTC; livio
NeedsCompilation: yes
Repository: CRAN
RoxygenNote: 6.0.1
Encoding: UTF-8
ByteCompile: true
Imports: methods, cherry, e1071, plyr, someMTP
Date/Publication: 2018-08-25 22:05:41 UTC

## flip 2.5.1

=== DESCRIPTION ===
Package: flip
Type: Package
Title: Multivariate Permutation Tests
Version: 2.5.1
Date: 2025-04-21
Authors@R: 
    c(person("Livio", "Finos", email = "livio.finos@unipd.it", role = c("cre","aut"), comment = c(ORCID = "0000-0003-3181-8078")))
Description: It implements many univariate and multivariate permutation (and
    rotation) tests. Allowed tests: the t one and two samples, ANOVA, linear
    models, Chi Squared test, rank tests (i.e. Wilcoxon, Mann-Whitney,
    Kruskal-Wallis), Sign test and Mc Nemar. Test on Linear Models are
    performed also in presence of covariates (i.e. nuisance parameters).
    The permutation and the rotation methods to get the null distribution of
    the test statistics are available. It also implements methods for
    multiplicity control such as Westfall & Young minP procedure and Closed
    Testing (Marcus, 1976) and k-FWER. Moreover, it allows to test for fixed
    effects in mixed effects models.
License: GPL (>= 2)
LazyLoad: yes
LazyData: true
Packaged: 2025-04-21 15:24:01 UTC; finos
NeedsCompilation: yes
Repository: CRAN
RoxygenNote: 7.1.2
Encoding: UTF-8
ByteCompile: true
Imports: methods, cherry, e1071, plyr, someMTP
Author: Livio Finos [cre, aut] (<https://orcid.org/0000-0003-3181-8078>)
Maintainer: Livio Finos <livio.finos@unipd.it>
Date/Publication: 2025-04-21 15:50:02 UTC
